000010 IDENTIFICATION DIVISION.
000020 PROGRAM-ID. LANGUAGE.
000030 DATE-COMPILED.
000040* ------------------------: GS General-purpose Test Program.
000050* 			: Use to test any GUI ScreenIO panel...
000060*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000070 ENVIRONMENT DIVISION.
000080*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000090 CONFIGURATION SECTION.
000100 SOURCE-COMPUTER. IBM-PC.
000110 OBJECT-COMPUTER. IBM-PC.
000120*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000130 DATA DIVISION.
000140*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000150 WORKING-STORAGE SECTION.
000160 01  V--VERSION-LEVEL		    PIC 9(3) VALUE 6.
000170*
000180* ------------------------: Copy a main panel (any will do)
000190	       COPY mymain.
000200*
000210* ------------------------: Copy the panel to be tested below.
000220	       COPY P-LANG.
000230*
000240*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000250 PROCEDURE DIVISION.
000260*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000270*
000280	   PERFORM 0101-INITIALIZE-GS.
000290*
000300* ------------------------: Display the test panel.
000310*
000320	   PERFORM WITH TEST AFTER
000330		 UNTIL P-LANG-EVENT-CLOSE-WINDOW
000340		 OR P-LANG-EVENT-CLOSE-AND-STOP
000350*
000360	     CALL 'GS' USING P-LANG-1
000370			     P-LANG-2
000380			     P-LANG-3
000390			     P-LANG-4
000400*
000410* ------------------------: Change language according to the
000420* 			: button the user pressed.
000430*
000440	     EVALUATE TRUE
000450*
000460	       WHEN P-LANG-ENGLISH
000470* 			: User pressed "English" button
000480		 SET P-LANG-DO-CHANGE-LANGUAGE TO TRUE
000490		 SET P-LANG-LANGUAGE-ENGLISH TO TRUE
000500*
000510	       WHEN P-LANG-FRENCH
000520* 			: User pressed "French" button
000530		 SET P-LANG-DO-CHANGE-LANGUAGE TO TRUE
000540		 SET P-LANG-LANGUAGE-FRENCH TO TRUE
000550*
000560	       WHEN P-LANG-SPANISH
000570* 			: User pressed "Spanish" button
000580		 SET P-LANG-DO-CHANGE-LANGUAGE TO TRUE
000590		 SET P-LANG-LANGUAGE-SPANISH TO TRUE
000600*
000610	     END-EVALUATE
000620*
000630	   END-PERFORM.
000640*
000650* ------------------------: Close the main before doing a STOP RUN
000660*
000670	   SET mymain-DO-CLOSE TO TRUE.
000680	   CALL 'GS' USING mymain-1
000690			   mymain-2
000700			   mymain-3
000710			   mymain-4.
000720	   STOP RUN.
000730*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000740 0100-GS-UTILITY SECTION.
000750*
000760 0101-INITIALIZE-GS.
000770* 			:---------------------------------------
000780* ------------------------: Open the application window (the
000790* 			: container for this application)
000800* 			:---------------------------------------
000810*
000820	   CALL 'GS' USING mymain-1
000830			   mymain-2
000840			   mymain-3
000850			   mymain-4.
